package com.bocloud.nms.model.agile;

import com.bocloud.nms.enums.AgileExternalNetworkType;

import java.util.List;

/*
 * 外部网络
 */
public class AgileExternalNetworkModel {
    private String externalNetworkUuid; // 外部网络Id
    private String name; // 外部网络名称
    private AgileExternalNetworkType networkType; // 类型,0:Public（表示公共类型）,1:Private（表示私有类型
    private String externalGatewayUuid; // 外部网关ID
    private List<String> publicIpPool; // 关联的CIDR 互联网络
    private String tenantUuid; // 外部网络所属租户，不填表示公共外部网络
    private String publicRouterUuid; // 公共路由器Id
    private String logicNetworkUuid; // VPC Id

    public String getExternalNetworkUuid() {
        return externalNetworkUuid;
    }

    public void setExternalNetworkUuid(String externalNetworkUuid) {
        this.externalNetworkUuid = externalNetworkUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public AgileExternalNetworkType getNetworkType() {
        return networkType;
    }

    public void setNetworkType(Integer networkType) {
        this.networkType = networkType == null ? null : AgileExternalNetworkType.byValue(networkType);
    }

    public String getExternalGatewayUuid() {
        return externalGatewayUuid;
    }

    public void setExternalGatewayUuid(String externalGatewayUuid) {
        this.externalGatewayUuid = externalGatewayUuid;
    }

    public List<String> getPublicIpPool() {
        return publicIpPool;
    }

    public void setPublicIpPool(List<String> publicIpPool) {
        this.publicIpPool = publicIpPool;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getPublicRouterUuid() {
        return publicRouterUuid;
    }

    public void setPublicRouterUuid(String publicRouterUuid) {
        this.publicRouterUuid = publicRouterUuid;
    }

    public String getLogicNetworkUuid() {
        return logicNetworkUuid;
    }

    public void setLogicNetworkUuid(String logicNetworkUuid) {
        this.logicNetworkUuid = logicNetworkUuid;
    }
}
